Package com.castlabs.android.player

# Interface PlayerViewLifecycleDelegate.LifecycleListener

All Known Implementing Classes:
  `MultiControllerPlaylist`, `PlaylistController`

Enclosing class:
  `PlayerViewLifecycleDelegate`

public static interface PlayerViewLifecycleDelegate.LifecycleListener
Callback to receive delegated Lifecycle events. Exposes hook points to add extra logic dependant on the lifecycle.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `onBeforeRelease(boolean backgroundPlayback)`
  Called before the `PlayerViewLifecycleDelegate.releasePlayer(boolean)` method starts.
  `void`
  `onPostDestroy()`
  Called after the `PlayerViewLifecycleDelegate.destroy()` method has completed.
  `void`
  `onPostRelease(boolean backgroundPlayback)`
  Called after the `PlayerViewLifecycleDelegate.releasePlayer(boolean)` method has completed.
  `void`
  `onPostResume(PlayerController playerController)`
  Called after the `PlayerViewLifecycleDelegate.resume()` method has completed.
  `void`
  `onPostStart()`
  Called after the `PlayerViewLifecycleDelegate.start(Activity)` method has completed.

- ## Method Details

  - ### onPostStart

    void onPostStart()
    Called after the `PlayerViewLifecycleDelegate.start(Activity)` method has completed.

  - ### onPostResume

    void onPostResume(@NonNull PlayerController playerController)
    Called after the `PlayerViewLifecycleDelegate.resume()` method has completed.
    Parameters:
      `playerController` - The `PlayerController` instance.

  - ### onBeforeRelease

    void onBeforeRelease(boolean backgroundPlayback)
    Called before the `PlayerViewLifecycleDelegate.releasePlayer(boolean)` method starts.
    Parameters:
      `backgroundPlayback` - True if the player will be sent to background.

  - ### onPostRelease

    void onPostRelease(boolean backgroundPlayback)
    Called after the `PlayerViewLifecycleDelegate.releasePlayer(boolean)` method has completed.
    Parameters:
      `backgroundPlayback` - True if the player will be sent to background.

  - ### onPostDestroy

    void onPostDestroy()
    Called after the `PlayerViewLifecycleDelegate.destroy()` method has completed.